org.richfaces.renderkit

## Class SelectionRenderer

- java.lang.Object
- - javax.faces.render.Renderer
  - - org.richfaces.renderkit.RendererBase
    - - org.richfaces.renderkit.AbstractRowsRenderer
      - - org.richfaces.renderkit.SortingFilteringRowsRenderer
        - - org.richfaces.renderkit.SelectionRenderer

- All Implemented Interfaces:
    DataVisitor
  Direct Known Subclasses:
    ExtendedDataTableRenderer

      public abstract class SelectionRenderer
      extends SortingFilteringRowsRenderer

  Author:
    Konstantin Mishin

- - ### Field Summary

    - ### Fields inherited from class javax.faces.render.Renderer

      `PASSTHROUGH_RENDERER_LOCALNAME_KEY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SelectionRenderer()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `doDecode(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)` Template method for custom decoding of concrete renderer.
    `protected void` | `encodeSelectionInput(javax.faces.context.ResponseWriter writer, javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`

    - ### Methods inherited from class org.richfaces.renderkit.SortingFilteringRowsRenderer

      `decodeFiltering, decodeSorting, decodeSortingFiltering, isBuiltInSortRequiredFocColumn, isFilterRowRequiredForColumn, renderFilterRow, renderSortButton, updateAttribute`

    - ### Methods inherited from class org.richfaces.renderkit.AbstractRowsRenderer

      `createRowHolder, doCleanup, doEncodeChildren, encodeFakeRow, encodeRow, encodeRows, get, getColumnClass, getColumnClasses, getRendersChildren, getRowClass, getRowClassAttribute, getRowClasses, process, processRows, put, renderRowHandlers`

    - ### Methods inherited from class org.richfaces.renderkit.RendererBase

      `concatClasses, concatStyles, decode, doEncodeBegin, doEncodeEnd, encodeBegin, encodeChildren, encodeEnd, getComponentClass, getResourcePath, getSkin, getUtils, isAlreadyRendered, preDecode, preEncodeBegin, queueComponentEventForBehaviorEvent, renderChildren`

    - ### Methods inherited from class javax.faces.render.Renderer

      `convertClientId, getConvertedValue`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SelectionRenderer

          public SelectionRenderer()

  - ### Method Detail

    - #### encodeSelectionInput

          protected void encodeSelectionInput(javax.faces.context.ResponseWriter writer,
                                  javax.faces.context.FacesContext context,
                                  javax.faces.component.UIComponent component)
                                       throws IOException

      Throws:
        `IOException`

    - #### doDecode

          protected void doDecode(javax.faces.context.FacesContext context,
                      javax.faces.component.UIComponent component)

      Description copied from class: `RendererBase`
      Template method for custom decoding of concrete renderer. All parameters checking if performed in original `RendererBase.decode(FacesContext, UIComponent)` method.
      Overrides:
        `doDecode` in class `RendererBase`

Copyright © 2014 JBoss by Red Hat. All Rights Reserved.